<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: data_xx_defs::r4_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedata__xx__defs.html">data_xx_defs</a></li><li class="navelem"><a class="el" href="structdata__xx__defs_1_1r4__.html">r4_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdata__xx__defs_1_1r4__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">data_xx_defs::r4_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for data_xx_defs::r4_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structdata__xx__defs_1_1r4____coll__graph.png" border="0" usemap="#data__xx__defs_1_1r4___coll__map" alt="Collaboration graph"/></div>
<map name="data__xx__defs_1_1r4___coll__map" id="data__xx__defs_1_1r4___coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4f1196b13d1c2371f0415c12f81b4693"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#a4f1196b13d1c2371f0415c12f81b4693">name</a></td></tr>
<tr class="separator:a4f1196b13d1c2371f0415c12f81b4693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a103ca0ef1cc2074c7afcea33022a20d3"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#a103ca0ef1cc2074c7afcea33022a20d3">sub_name</a></td></tr>
<tr class="separator:a103ca0ef1cc2074c7afcea33022a20d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecf04915724e29e19183ca4af53cba90"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#aecf04915724e29e19183ca4af53cba90">data_type</a></td></tr>
<tr class="separator:aecf04915724e29e19183ca4af53cba90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a9b670035df90546f448450baeb70ff"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#a2a9b670035df90546f448450baeb70ff">usage</a></td></tr>
<tr class="separator:a2a9b670035df90546f448450baeb70ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafdc79be40a91aa7e14d8592cc173548"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#aafdc79be40a91aa7e14d8592cc173548">readwrite_flag</a></td></tr>
<tr class="separator:aafdc79be40a91aa7e14d8592cc173548"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefc142d8c2b612b1718b3b213c5bed1a"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#aefc142d8c2b612b1718b3b213c5bed1a">auto_register_flag</a></td></tr>
<tr class="separator:aefc142d8c2b612b1718b3b213c5bed1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cfa9f5771b8d62ec91a24ca9d0145d1"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#a4cfa9f5771b8d62ec91a24ca9d0145d1">dump_flag</a></td></tr>
<tr class="separator:a4cfa9f5771b8d62ec91a24ca9d0145d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50ab0d2492d7f4ad6392a167310ef568"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#a50ab0d2492d7f4ad6392a167310ef568">flag</a></td></tr>
<tr class="separator:a50ab0d2492d7f4ad6392a167310ef568"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed1a66fa0254e961458254a66c7ae889"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#aed1a66fa0254e961458254a66c7ae889">stats_flag</a> = .FALSE.</td></tr>
<tr class="separator:aed1a66fa0254e961458254a66c7ae889"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8bbc04ae61cb71ca61204496ddfcf98"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#af8bbc04ae61cb71ca61204496ddfcf98">d</a></td></tr>
<tr class="separator:af8bbc04ae61cb71ca61204496ddfcf98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8933921d6761ff9ed694972a9ec4e817"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r4__.html">r4_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1r4__.html#a8933921d6761ff9ed694972a9ec4e817">next</a></td></tr>
<tr class="separator:a8933921d6761ff9ed694972a9ec4e817"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aefc142d8c2b612b1718b3b213c5bed1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefc142d8c2b612b1718b3b213c5bed1a">&#9670;&nbsp;</a></span>auto_register_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::r4_::auto_register_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8bbc04ae61cb71ca61204496ddfcf98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8bbc04ae61cb71ca61204496ddfcf98">&#9670;&nbsp;</a></span>d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer data_xx_defs::r4_::d</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aecf04915724e29e19183ca4af53cba90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecf04915724e29e19183ca4af53cba90">&#9670;&nbsp;</a></span>data_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer data_xx_defs::r4_::data_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4cfa9f5771b8d62ec91a24ca9d0145d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cfa9f5771b8d62ec91a24ca9d0145d1">&#9670;&nbsp;</a></span>dump_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::r4_::dump_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a50ab0d2492d7f4ad6392a167310ef568"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50ab0d2492d7f4ad6392a167310ef568">&#9670;&nbsp;</a></span>flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::r4_::flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4f1196b13d1c2371f0415c12f81b4693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f1196b13d1c2371f0415c12f81b4693">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium) data_xx_defs::r4_::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8933921d6761ff9ed694972a9ec4e817"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8933921d6761ff9ed694972a9ec4e817">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r4__.html">r4_</a>), pointer data_xx_defs::r4_::next</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aafdc79be40a91aa7e14d8592cc173548"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafdc79be40a91aa7e14d8592cc173548">&#9670;&nbsp;</a></span>readwrite_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::r4_::readwrite_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed1a66fa0254e961458254a66c7ae889"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed1a66fa0254e961458254a66c7ae889">&#9670;&nbsp;</a></span>stats_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::r4_::stats_flag = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a103ca0ef1cc2074c7afcea33022a20d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a103ca0ef1cc2074c7afcea33022a20d3">&#9670;&nbsp;</a></span>sub_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium) data_xx_defs::r4_::sub_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a9b670035df90546f448450baeb70ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a9b670035df90546f448450baeb70ff">&#9670;&nbsp;</a></span>usage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer data_xx_defs::r4_::usage</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="data__xx__defs_8f90.html">data_xx_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
